person.update

Update a specific Person entity

POST http://api.kompliant.com/person.update (OpenAPI specification)

Usage Info

The Person entity stores comprehensive information about individuals, including personal details, contact information, identification, and addresses. This entity can be associated with businesses as owners or used independently within a Subject Record. Use this method if you want to change or add more information for an existing person.

Request

Authentication: KSig1-HMAC-SHA256

Parameters

ParameterTypeRequiredDescription
person_idstringYesThe Person entity to update.
personobjectNoThe person parameter defined in the tables below.

Person Parameters

ParameterTypeRequiredNullableDescription
emailstringNoYesThe personal email address of the person. The email must be a validly formatted email address.
first_namestringNoYesThe legal first given name for the person.
middle_namestringNoYesThe legal middle name for the person.
last_namestringNoYesThe legal last name for the person.
date_of_birthstringNoYesThe legal date of birth for the person. This must be in the YYYY-MM-DD format and contain only digits [0-9] and dashes. The value cannot be in the future nor can the value be more than 130 years in the past.
tax_idstringNoYesThe tax ID for the person. In the US this is typically the SSN or ITIN. This field must be 9 characters long and only contain digits [0-9]. Dashes are not accepted.
citizenshipstringNoYesTwo character code for the country of citizenship for the person. Must be one of the COUNTRIES .
phone_numberstringNoYesThe primary personal phone number of the person. This field must be 10 characters long and must be in the pattern of NXXNXXXXXX, where N represents any digit from 2-9 and X represents any digit from 0-9. It must follow all other requirements of the North American Number Plan.
addressesarrayNoYesThe list of addresses for the person. Only one address of each type can be added to the list.

This parameter is not required. However, if an address parameter is provided, then type is required.

At this time, only one a single entry of Person Address Type of PRIMARY_RESIDENCE is allowed. No other entries are supported.

Note:

  • Nullable parameter unsets the value.
  • Nullable Parameters of type array removes all the items from the parameter.
  • Empty array for a parameter removes all the items

Addresses Parameters

ParameterTypeRequiredDescription
typestringYesThe type of address. Must be one of the PERSON_ADDRESS_TYPES.
line1stringNoPrimary street address information (building number, street name).
line2stringNoSecondary address information (apartment, suite, unit, etc.)
citystringNoCity or municipality name
statestringNoTwo character code for the state. Must be one of the STATES.
postal_codestringNoZIP or postal code for mail delivery
countrystringNoTwo character code for the country where the address is located. Must be one of the COUNTRIES.

Example

{
  "subject_record_id": "sr_57WfSCnafMnxDiWMKcy3EW",
  "person": {
    "email": "[email protected]",
    "first_name": "Sarah",
    "middle_name": "Elizabeth",
    "last_name": "Johnson",
    "date_of_birth": "1985-07-15",
    "tax_id": "123456789",
    "citizenship": "US",
    "phone_number": "5551234567",
    "addresses": [
      {
        "type": "PRIMARY_RESIDENCE",
        "line1": "123 Maple Avenue",
        "line2": "Apartment 4B",
        "city": "Portland",
        "state": "OR",
        "postal_code": "97204",
        "country": "US"
      }
    ]
  }
}

Errors

Error CodeHTTP CodePossible Cause
BAD_REQUEST400Required parameters not provided.
Enum value provided does not correspond to an available type.
ENTITY_NOT_FOUND400The peson_id provided does not exist.

System Rule Violations

When a SYSTEM_RULE_VIOLATION error occurs, the response will include additional entity_type and sub_code fields to provide more specific information:

Entity TypeSub-codeDescription
BusinessOWNERSHIP_DATE_BEFORE_BIRTH_DATEThe ownership date cannot precede the person's date of birth. Ownership cannot begin before the person was born.
BusinessCONTROL_PRONG_AGE_REQUIREMENTControl prong owners must be at least 18 years of age.